declare let layout: RunTimeLayoutConfig, request: RequestConfig, patchClientRoutes: typeof import("./runtimeConfig/patch-routes").patchClientRoutes, getInitialState: typeof import("./runtimeConfig/initial-state").getInitialState;
declare type Name = 'getInitialState' | 'layout' | 'patchClientRoutes' | 'request' | 'access';
interface OptionType {
    name: Name;
    type?: 'cover';
    description?: string;
    options?: Record<string, any>;
    fn?: (val?: any) => any;
}
declare function registerGenerator({ name, type, fn, options }: OptionType): void;
export { layout, request, patchClientRoutes, getInitialState };
declare const _default: {
    access: () => typeof import("./runtimeConfig/access").access;
    registerGenerator: typeof registerGenerator;
};
export default _default;
//# sourceMappingURL=index.d.ts.map