"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
// @ts-ignore
const max_1 = require("@umijs/max");
const antd_1 = require("antd");
const statusArr = ['success', 'error', 'info', 'warning', '404', '403', '500'];
exports.default = () => {
    const { status } = (0, max_1.useParams)();
    const [searchParams] = (0, max_1.useSearchParams)();
    const routerGo = () => {
        if (+status === 401 || +status === 20001) {
            const redirect = searchParams.get('redirect');
            if (redirect) {
                window.location.href = redirect;
                return;
            }
            max_1.history.go(-1);
        }
        max_1.history.go(-1);
    };
    return ((0, jsx_runtime_1.jsx)(antd_1.Result, { status: statusArr.includes(status) ? status : '404', title: status, style: {
            background: 'none',
        }, subTitle: "index", extra: (0, jsx_runtime_1.jsx)(antd_1.Button, { type: "primary", onClick: routerGo, children: "\u8FD4\u56DE" }) }));
};
