import { access, enhanceAccess } from './access';
import { getInitialState, enhanceInitialState } from './initial-state';
import { patchClientRoutes, enhancePatchClientRoutes } from './patch-routes';
import { enhanceRequest } from './request';
import { enhanceLayout } from './layout';
declare const _default: {
    layout: RunTimeLayoutConfig;
    request: RequestConfig;
    patchClientRoutes: typeof patchClientRoutes;
    getInitialState: typeof getInitialState;
    access: typeof access;
};
export default _default;
export { enhanceLayout, enhanceRequest, enhancePatchClientRoutes, enhanceInitialState, enhanceAccess };
//# sourceMappingURL=index.d.ts.map