"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.enhanceAccess = exports.enhanceInitialState = exports.enhancePatchClientRoutes = exports.enhanceRequest = exports.enhanceLayout = void 0;
const access_1 = require("./access");
Object.defineProperty(exports, "enhanceAccess", { enumerable: true, get: function () { return access_1.enhanceAccess; } });
const initial_state_1 = require("./initial-state");
Object.defineProperty(exports, "enhanceInitialState", { enumerable: true, get: function () { return initial_state_1.enhanceInitialState; } });
const patch_routes_1 = require("./patch-routes");
Object.defineProperty(exports, "enhancePatchClientRoutes", { enumerable: true, get: function () { return patch_routes_1.enhancePatchClientRoutes; } });
const request_1 = require("./request");
Object.defineProperty(exports, "enhanceRequest", { enumerable: true, get: function () { return request_1.enhanceRequest; } });
const layout_1 = require("./layout");
Object.defineProperty(exports, "enhanceLayout", { enumerable: true, get: function () { return layout_1.enhanceLayout; } });
exports.default = { layout: layout_1.layout, request: request_1.request, patchClientRoutes: patch_routes_1.patchClientRoutes, getInitialState: initial_state_1.getInitialState, access: access_1.access };
