"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = [
    {
        path: '/user',
        layout: false,
        routes: [
            {
                path: '/user/login',
                name: 'login',
                component: './user/Login',
            },
            {
                path: '/user',
                redirect: '/user/login',
            },
            {
                component: '404',
            },
        ],
    },
    {
        name: 'exception',
        icon: 'warning',
        path: '/exception/:status',
        layout: false,
        component: './exception',
    },
];
