export = Online;
/**
 * 检测网络环境、设备睡眠
 * @param {*} config
 */
declare function Online(config: any): void;
declare class Online {
    /**
     * 检测网络环境、设备睡眠
     * @param {*} config
     */
    constructor(config: any);
    defaultConfig: {
        online: () => void;
        lowline: () => void;
        offline: () => void;
        onsleep: () => void;
        sleepTime: number;
        lineTime: number;
        sleepInterval: number;
        rtt: number;
        downlink: number;
    };
    onLineInfoTimeout: NodeJS.Timer | null;
    config: any;
    onLineChange(): void;
    onLineInfo(): void;
    onSleep(): void;
}
//# sourceMappingURL=OnLine.d.ts.map