"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
// import { QuestionCircleOutlined } from '@ant-design/icons';
// @ts-ignore
const max_1 = require("@umijs/max");
const antd_1 = require("antd");
// import HeaderSearch from '../HeaderSearch';
const AvatarDropdown_1 = __importDefault(require("./AvatarDropdown"));
const index_less_1 = __importDefault(require("./index.less"));
const GlobalHeaderRight = () => {
    const { initialState } = (0, max_1.useModel)('@@initialState');
    if (!initialState || !initialState.settings) {
        return null;
    }
    const { navTheme, layout } = initialState.settings;
    let className = index_less_1.default.right;
    if ((navTheme === 'dark' && layout === 'top') || layout === 'mix') {
        className = `${index_less_1.default.right}  ${index_less_1.default.dark}`;
    }
    return ((0, jsx_runtime_1.jsx)(antd_1.Space, { className: className, children: (0, jsx_runtime_1.jsx)(AvatarDropdown_1.default, {}) }));
};
exports.default = GlobalHeaderRight;
