import type { Settings as LayoutSettings } from '@ant-design/pro-components';
/**
 * @see  https://umijs.org/zh-CN/plugins/plugin-initial-state
 * */
export declare function getInitialState(initialValues?: Record<string, (val?: any) => void>): Promise<{
    settings?: Partial<LayoutSettings>;
    userInfo?: GLOBAL_API.UserInfo;
    authority?: GLOBAL_API.Authority;
    token?: GLOBAL_API.Token;
    fetchUserInfo?: () => Promise<{
        userInfo?: GLOBAL_API.UserInfo;
        authority?: GLOBAL_API.Authority;
        token?: GLOBAL_API.Token;
        exception?: any;
    } | undefined>;
    fakeLogin?: boolean;
    exception?: any;
}>;
export declare function enhanceInitialState({ options }: {
    options?: Record<string, any>;
}): () => Promise<{
    settings?: Partial<LayoutSettings> | undefined;
    userInfo?: GLOBAL_API.UserInfo | undefined;
    authority?: GLOBAL_API.Authority | undefined;
    token?: string | undefined;
    fetchUserInfo?: (() => Promise<{
        userInfo?: GLOBAL_API.UserInfo | undefined;
        authority?: GLOBAL_API.Authority | undefined;
        token?: string | undefined;
        exception?: any;
    } | undefined>) | undefined;
    fakeLogin?: boolean | undefined;
    exception?: any;
}>;
//# sourceMappingURL=index.d.ts.map