/**
 * 通用权限检查方法
 * Common check permissions method
 * @param { 权限判定 } authority
 */
export function checkPermissions(authority: 权限判定): boolean;
/**
 * 检查 当前页面路由权限状态
 * @param { 路由 Matched List } matched
 */
export function routerMatchedAuthority(matched?: any[]): boolean;
/**
 * 获取权限数据 并 格式化类型
 * @param { 权限内容 } authority
 */
export function getAuthority(str: any): any;
/**
 * 设置存储用户权限
 * @param { 权限内容 } authority
 */
export function setAuthority(authority: 权限内容, authorityData: any, router: any): void;
/**
 * 获取用户路由权限
 * Common check permissions method
 * @param { 展示菜单标识 } pathKey
 * @param { 权限判定类型 } type  router | service
 * @param { 路由权限菜单，只在路由模式下生效 } menuData
 */
export function getAuthMenu(pathKey: 展示菜单标识, type: any, menuData: any): any;
export default Authorized;
export function reloadAuthorized(): Promise<void>;
/**
 * 通用权限检查方法
 * Common check permissions method
 * @param { 权限判定 } authority
 */
declare function Authorized(authority: 权限判定): boolean;
//# sourceMappingURL=index.d.ts.map